DRM_MM_INSERT_NODE_G(9)

NAME
drm_mm_insert_node_generic - search for space and insert node

SYNOPSIS

int drm_mm_insert_node_generic(struct drm_mm * mm, struct drm_mm_node * node, unsigned long size, unsigned alignment, unsigned long color, enum drm_mm_search_flags sflags, enum drm_mm_allocator_flags aflags);

ARGUMENTS

mm
    drm_mm to allocate from

node
    preallocate node to insert

size
    size of the allocation

alignment
    alignment of the allocation

color
    opaque tag value to use for this node

sflags
    flags to fine-tune the allocation search

aflags
    flags to fine-tune the allocation behavior

DESCRIPTION

The preallocated node must be cleared to 0.

RETURNS

0 on success, -ENOSPC if there's no suitable hole.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT